> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shareable Assets

> List shareable assets



## OpenAPI

````yaml GET /share
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.8
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /share:
    get:
      tags:
        - Share
      summary: List shareable assets
      description: List shareable assets
      operationId: listShareableAssets
      parameters:
        - name: file_id
          in: query
          description: The ID of the file to list shareable assets for
          schema:
            type: string
            format: uuid
        - name: file_segment_id
          in: query
          description: The ID of the file segment to list shareable assets for
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          description: Number of shareable assets to return
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Offset from the start of the shareable assets list
          schema:
            type: integer
            minimum: 0
        - name: created_before
          in: query
          description: >-
            Filter shareable assets created before a specific date (YYYY-MM-DD
            format), in UTC timezone
          schema:
            type: string
            format: date
        - name: created_after
          in: query
          description: >-
            Filter shareable assets created after a specific date (YYYY-MM-DD
            format), in UTC timezone
          schema:
            type: string
            format: date
        - name: visibility
          in: query
          description: >-
            Filter shareable assets by visibility. A file can have one public
            and one private share.
          schema:
            type: string
            enum:
              - public
              - private
      responses:
        '200':
          description: Shareable assets listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShareableAssetListResponse'
components:
  schemas:
    ShareableAssetListResponse:
      type: object
      required:
        - object
        - data
        - total
        - limit
        - offset
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        data:
          type: array
          items:
            $ref: '#/components/schemas/ShareableAsset'
        total:
          type: integer
          description: The total number of items
        limit:
          type: integer
          description: The number of items per page
        offset:
          type: integer
          description: The offset of the items
    ShareableAsset:
      type: object
      required:
        - id
        - file_id
        - url
        - created_at
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the shareable asset
        file_id:
          type: string
          format: uuid
          description: The ID of the file the shareable asset belongs to
        file_segment_id:
          type: string
          format: uuid
          description: The ID of the file segment the shareable asset belongs to (optional)
        title:
          type: string
          description: The title of the shareable asset
        description:
          type: string
          description: The description of the shareable asset
        metadata:
          type: object
          description: The metadata of the shareable asset
        visibility:
          type: string
          enum:
            - public
            - private
          description: >-
            The visibility of the shareable asset. 'public' assets are viewable
            by anyone with the link; 'private' assets are restricted to members
            of the owning account and stream via a signed, token-gated playback
            url.
        preview_url:
          type: string
          description: The thumbnail url of the shareable asset
        media_download_url:
          type: string
          description: >-
            The signed media download url of the shareable asset. For private
            assets this url is short-lived (a few minutes) and should be used
            promptly.
        media_download_expires_at:
          type: number
          nullable: true
          description: The timestamp of when the media download url will expire
        share_url:
          type: string
          description: >-
            This is the url that can be used to share the shareable asset. For
            private assets the page requires sign-in and membership of the
            owning account.
        stream_url:
          type: string
          description: >-
            The HLS stream url of the shareable asset. Available when the stream
            has finished processing. For private assets this is a signed,
            token-gated url that should be treated as short-lived.
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
          description: The status of the shareable asset
        asset_type:
          type: string
          enum:
            - file
            - file_segment
          description: The type of asset the shareable asset belongs to
        created_at:
          type: number
          description: The timestamp of when the shareable asset was created
        object:
          type: string
          enum:
            - share
          description: Object type, always 'share'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````